Package org.jfree.layouting.input.style

## Class CSSUnknownStyleRule

- java.lang.Object
- - org.jfree.layouting.input.style.StyleRule
  - - org.jfree.layouting.input.style.CSSUnknownStyleRule

-     public class CSSUnknownStyleRule
      extends StyleRule

  A placeholder for unknown rules. Maybe an output target is able to handle such things, we dont.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSUnknownStyleRule​(StyleSheet parentStyle, StyleRule parentRule)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

      `clone, getParentRule, getParentStyle, getStyleKeyRegistry, isReadOnly, makeReadOnly, setParentRule, setParentStyle`

- - ### Constructor Detail

    - #### CSSUnknownStyleRule

          public CSSUnknownStyleRule​(StyleSheet parentStyle,
                                     StyleRule parentRule)